Bug 203228 - Logwatch gives a shell error about Use of uninitialized value in concatenation
Logwatch gives a shell error about Use of uninitialized value in concatenation
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: logwatch (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-19 11:36 EDT by Jim Williams
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 04:59:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Williams 2006-08-19 11:36:11 EDT
Description of problem:
logwatch crom job fails with the following error:
Use of uninitialized value in concatenation (.) or string at
/etc/cron.daily/00-logwatch line 608, <TESTFILE> line 1.
sh: - : invalid option


Version-Release number of selected component (if applicable):
logwatch-4.3.2-2

How reproducible:
Only happening on 2 RHEL AS 3 servers, but it happens every night. This has been
going on for some time but no one caught it until now.

Steps to Reproduce:
1.execute "/etc/cron.daily/00-logwatch"
2.
3.
  
Actual results:
/etc/cron.daily/00-logwatch
Use of uninitialized value in concatenation (.) or string at
/etc/cron.daily/00-logwatch line 608, <TESTFILE> line 1.
sh: - : invalid option
Usage:  sh [GNU long option] [option] ...
        sh [GNU long option] [option] script-file ...
GNU long options:
        --debug
        --dump-po-strings
        --dump-strings
        --help
        --init-file
        --login
        --noediting
        --noprofile
        --norc
        --posix
        --rcfile
        --rpm-requires
        --restricted
        --verbose
        --version
        --wordexp
Shell options:
        -irsD or -c command or -O shopt_option          (invocation only)
        -abefhkmnptuvxBCHP or -o option
Broken pipe


Expected results:
a logwatch e-mail was expected

Additional info:
According to RPM, the only file changed for this package is the logwatch.conf
and it looks valid.
Comment 1 Ivana Varekova 2006-10-30 04:59:50 EST
This problem will be resolved in a future major release of Red Hat Enterprise
Linux. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

      With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating changes for inclusion in maintenance updates for
currently deployed products. The primary objectives of update releases are to
enable new hardware platform support and to resolve critical defects. 


Note You need to log in before you can comment on or make changes to this bug.